Skip to navigation

Get WorkflowTaskGroup by ID

Get a single WorkflowTaskGroup by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_task_group_idstringRequired
ID of the WorkflowTaskGroup.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
authorsstring or nullOptionalformat: "uri"
childWorkflowTaskGroupsstring or nullOptionalformat: "uri"
The list of workflow task groups for which this task group is the root in a flowchart
createdAtstringOptional
creatorobject or nullOptional
displayIdstring or nullOptional

User-friendly ID of the workflow task group

folderobjectOptional
idstringOptional
The ID of the workflow task group
modifiedAtstringOptional
namestring or nullOptional
The name of the workflow task group
requestSubmissionobject or nullOptional
A request that this task group was created to fulfill.
rootWorkflowTaskGroupobject or nullOptional

The workflow task group which corresponds to the root node in a flowchart. This is only non-null for task groups that are part of a flowchart

workflowOutputsstring or nullOptionalformat: "uri"
The outputs of the workflow task group
workflowTaskSchemaobjectOptional
workflowTasksstring or nullOptionalformat: "uri"
The tasks in the workflow task group

Errors

400
Workflow Task Group Get Request Bad Request Error
403
Workflow Task Group Get Request Forbidden Error
404
Workflow Task Group Get Request Not Found Error
429
Workflow Task Group Get Request Too Many Requests Error
500
Workflow Task Group Get Request Internal Server Error